#
# spec file for package gap-atlasrep
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-atlasrep
Version:        1.5.1
Release:        bp153.1.12
Summary:        GAP: Interface to the Atlas of Group Representations
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            http://nickerson.org.uk/groups

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/atlasrep1r5p1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.5
Requires:       gap-gapdoc >= 1.5
Suggests:       gap-browse >= 1.4
Suggests:       gap-ctbllib >= 1.2
Suggests:       gap-io >= 3.3
Suggests:       gap-tomlib >= 1.2.1

%description
AtlasRep provides an interface between GAP and the Atlas of Group
Representations, a database that comprises representations of many
almost simple groups and information about their maximal subgroups.

%prep
%setup -qn atlasrep

%build

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sun Sep 17 2017 jengelh@inai.de
- Switch from ftp to https.
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 1.5.1
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split atlasrep (version 3.0) off the gap RPM package
